[package]
name = "hackamp-firmware"
version = "0.1.0"
authors = ["Mathias Gottschlag <mgottschlag@gmail.com>"]
edition = "2018"

[dependencies]
cortex-m = "0.6"
cortex-m-rt = "0.6"
cortex-m-rtic = "0.5.3"
#cortex-m-semihosting = "0.3.5"
embedded-hal = "0.2.3"
panic-semihosting = "0.5"
#stm32f4xx-hal = { git = "https://github.com/stm32-rs/stm32f4xx-hal.git", features = ["stm32f429", "usb_hs"] }
stm32f4xx-hal = { path = "/home/mathias/Projects/microcontroller/stm32-usb-audio/stm32f4xx-hal", features = ["stm32f429", "usb_hs"] }

[profile]
[profile.release]
debug = true
lto = true
